%{?nodejs_find_provides_and_requires}

%global packagename css-what

Name:		nodejs-css-what
Version:	2.0.2
Release:	1%{?dist}
Summary:	A CSS selector parser

License:	BSD
URL:		https://github.com/fb55/css-what
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
A CSS selector parser


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-1
- Initial packaging
